# PhingPhpDocumentorSetup

Extends \phpDocumentor_setup

Phing subclass of the phpDocumentor_setup class provided with PhpDocumentor to work around limitations in PhpDocumentor API.

This class is necessary because phpDocumentor_setup does not expose a complete API for setting configuration options. Because this class must directly modify some "private" GLOBAL(!) configuration variables, it is liable to break if the PhpDocumentor internal implementation changes. Obviously this is far from ideal, but there's also no solution given the inflexibility of the PhpDocumentor design.

author | Hans Lellelid hans@xmpl.org@author hans
version | $Id: 3c0527274eb0d0c2c6ed888ff23fe5b38367bb04 $
package | phing.tasks.ext.phpdoc

### Methods

## custom tags, will be recognized and put in tags[] instead of unknowntags[]

    setCustomtags(string $sCustomtags)

This method exists as a hack because the API exposed for this method in PhpDocumentor doesn't work correctly.

Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

### Arguments

#### $sCustomtags

`string`

## Sets the default category name.

    setDefaultCategoryName(string $name)

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

### Arguments

#### $name

`string`

## Sets the default package name.

    setDefaultPackageName(string $name)

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

### Arguments

#### $name

`string`

## Set fullpath to directory to look in for examples.

    setExamplesDir(string $dir)

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

### Arguments

#### $dir

`string`

## Set whether to generate sourcecode for each file parsed.

    setGenerateSourcecode(boolean $b)

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

### Arguments

#### $b

`boolean`

## Files to ignore

    setIgnore(string $sIgnore)

### Arguments

#### $sIgnore

`string`

## Set comma-separated list of tags to ignore.

    setIgnoreTags(string $tags)

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

### Arguments

#### $tags

`string`

## Set whether to parse dirs as PEAR repos.

    setPear(boolean $b)

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

### Arguments

#### $b

`boolean`

## Enables quiet mode.

    setQuietMode()

This method exists as a hack because the API exposed for this method in PhpDocumentor doesn't work correctly.

Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

## Set an array of README/INSTALL/CHANGELOG file paths.

    setRicFiles(array $files)

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

### Arguments

#### $files

`array`

Absolute paths to files.

## Control whether or not warnings will be shown for undocumented elements.

    setUndocumentedelements(boolean $bEnable)

Useful for identifying classes and methods that haven't yet been documented.

### Arguments

#### $bEnable

`boolean`